Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ExportedFileList

All Superinterfaces:
  java.io.Serializable

    public interface ExportedFileList

extends java.io.Serializable

Interface `ExportedFileList` provides methods to get the exported files. These exported files exist in the temporary directory. Use the command APIConst.CMD_GET_TEMP_RESULT to get them.

For example, the URL is

http://jrserver:8888//SunVMDemo/SunVMDemo.cat/invoice.cls?jrs.cmd=jrs.get_temp_result&jrs.file=11125321400.pdf

Method Summary
`java.lang.String` | `getExcelFilename()` Gets the exported Excel file name in a temporary directory.
`java.util.Vector` | `getHTMLFilenameList()` Gets the exported HTML file name list in a temporary directory.
`java.util.Vector` | `getPDFFilename()` Gets the exported PDF file name in a temporary directory.
`java.lang.String` | `getPSFilename()` Gets the exported PS file name in a temporary directory.
`java.lang.String` | `getRSTFilename()` Gets the exported report result (.rst) file name in a temporary directory.
`java.util.Vector` | `getRTFFilenameList()` Gets the exported RTF (Rich Text Format) file name list in a temporary directory.
`java.lang.String` | `getTEXTFilename()` Gets the exported TEXT file name in a temporary directory.
`java.util.Vector` | `getXMLFilenameList()` Gets the exported XML (Extensible Markup Language) file name list in a temp directory.
`java.lang.String` | `toHttpQueryString()` Outputs the exported file list in the HTTP query format.

Method Detail

### getRSTFilename

    java.lang.String getRSTFilename()

  Gets the exported report result (.rst) file name in a temporary directory.

  Returns:
    the exported report result file name in a temporary directory.

### getHTMLFilenameList

    java.util.Vector getHTMLFilenameList()

  Gets the exported HTML file name list in a temporary directory.

  Returns:
    the exported HTML file name list in a temporary directory.

### getPDFFilename

    java.util.Vector getPDFFilename()

  Gets the exported PDF file name in a temporary directory.

  Returns:
    the exported PDF file name in a temporary directory.

### getTEXTFilename

    java.lang.String getTEXTFilename()

  Gets the exported TEXT file name in a temporary directory.

  Returns:
    the exported TEXT file name in a temporary directory.

### getExcelFilename

    java.lang.String getExcelFilename()

  Gets the exported Excel file name in a temporary directory.

  Returns:
    the exported Excel file name in a temporary directory.

### getPSFilename

    java.lang.String getPSFilename()

  Gets the exported PS file name in a temporary directory.

  Returns:
    the exported PS file name in a temporary directory.

### getRTFFilenameList

    java.util.Vector getRTFFilenameList()

  Gets the exported RTF (Rich Text Format) file name list in a temporary directory.

  Returns:
    the exported RTF file name list in a temporary directory.

### getXMLFilenameList

    java.util.Vector getXMLFilenameList()

  Gets the exported XML (Extensible Markup Language) file name list in a temp directory.

  Returns:
    the exported XML file name list in a temporary directory.

### toHttpQueryString

    java.lang.String toHttpQueryString()

  Outputs the exported file list in the HTTP query format.

  For example,

  jrs.rst=11125321400.temp&jrs.html=0.css%260_1_14_0.gif%260_1.html%260_2.html %260_3.html%260_4.html%260_5.html%26&jrs.pdf=11125321400.pdf&jrs.text=11125321400.txt&

  Returns:
    the HTTP query string of the exported file list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD